perl-true-1.0.1-alt1_3.x86_64.rpm


Advertisement

Description

perl-true - Automatically return a true value when a file is required

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports x86_64
Package filename perl-true-1.0.1-alt1_3.x86_64.rpm
Package name perl-true
Package version 1.0.1
Package release alt1_3
Package architecture x86_64
Package type rpm
Category Development/Other
Homepage -
License -
Maintainer -
Download size 30.59 KB
Installed size 30.59 KB
Perl's require built-in (and its use wrapper) requires the files it loads to
return a true value. This is usually accomplished by placing a single
1;
statement at the end of included scripts or modules. It's not onerous to add
but it's a speed bump on the Perl novice's road to enlightenment. In addition,
it appears to be a non-sequitur to the uninitiated, leading some to attempt to
mitigate its appearance with a comment:
1; # keep require happy
or:
1; # Do not remove this line
or even:
1; # Must end with this, because Perl is bogus.
This module packages this "return true" behavior so that it need not be
written explicitly. It can be used directly, but it is intended to be invoked
from the import method of a Modern::Perl-style module that enables modern Perl
features and conveniences and cleans up legacy Perl warts.

Alternatives

Package Version Architecture Repository
perl-true-1.0.1-alt1_3.i586.rpm 1.0.1 i586 Autoimports
perl-true - - -

Requires

Name Value
/usr/lib64/perl5 -
libc.so.6(GLIBC_2.2.5)(64bit) -
libperl-5.28.so()(64bit) -
perl(B/Hooks/OP/Annotation.pm) -
perl(B/Hooks/OP/Check.pm) -
perl(Devel/StackTrace.pm) -
perl(XSLoader.pm) -
perl(version.pm) >= 0.770
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
perl(true.pm) = 1.0.001
perl(true/VERSION.pm) = 1.0.001
perl-true = 1.0.1-alt1_3

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-true-1.0.1-alt1_3.x86_64.rpm
Source Package perl-true-1.0.1-alt1_3.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus x86_64 autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-true rpm package:
    # sudo apt-get install perl-true

Files

Path
/usr/lib64/perl5/true.pm
/usr/lib64/perl5/auto/true/true.so
/usr/lib64/perl5/true/VERSION.pm
/usr/share/doc/perl-true-1.0.1/Changes
/usr/share/doc/perl-true-1.0.1/LICENSE.md
/usr/share/doc/perl-true-1.0.1/README

See Also

Package Description
perl-uplug-main-0.3.8-alt3.1.x86_64.rpm a toolbox for processing (parallel) text corpora
perl-uplug-main-scripts-0.3.8-alt3.1.x86_64.rpm uplug-main scripts
perl-warnings-unused-0.06-alt4.1.x86_64.rpm Produces warnings when unused variables are detected
pgdbf-0.6.2-alt1_6.x86_64.rpm Convert XBase / FoxPro databases to PostgreSQL
pgsphere-1.1.1-alt1_22.x86_64.rpm Spherical data types, functions, and operators for PostgreSQL
phalanx-22-alt1_14.x86_64.rpm A Chess Engine
photoqt-1.7.1-alt1_4.x86_64.rpm A fast Qt image viewer
pianobooster-0.6.4b-alt1_21.x86_64.rpm A MIDI file player that teaches you how to play the piano
picprog-1.9.1-alt1_12.x86_64.rpm Microchip PIC serial programmer software
pidgin-awayonlock-0.5.2-alt1_5.x86_64.rpm Away-on-Lock is simple plugin for Pidgin
pidgin-chime-1.2-alt1_2.x86_64.rpm Pidgin/libpurple protocol plugin for Amazon Chime
pidgin-gpg-0.9-alt1_8.x86_64.rpm GPG plugin for pidgin
pidgin-groupchat-typing-notifications-3-alt1_3.x86_64.rpm Adds typing notifications for group chats in Pidgin
pidgin-indicator-1.0.1-alt1_2.x86_64.rpm StatusNotifierItem tray icon plugin for Pidgin
pidgin-latex-1.5.0-alt1_5.x86_64.rpm Use LaTeX formulas in your pidgin conversations
Advertisement
Advertisement